Find Event notification by notificationId

http
GET https://services.leadconnectorhq.com/calendars/{calendarId}/notifications/{notificationId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
calendarIdstringYes
notificationIdstringYes

Responses

200 - Successful response
  • _id (string): Notification ID

  • receiverType (string): Possible values: 'contact', 'guest', 'assignedUser', 'emails', 'phoneNumbers', 'business' Example: contact

  • additionalEmailIds (string[])

  • additionalPhoneNumbers (string[])

  • channel (string): Possible values: 'email', 'inApp', 'sms', 'whatsapp' Example: email

  • notificationType (string): Possible values: 'booked', 'confirmation', 'cancellation', 'reminder', 'followup', 'reschedule' Example: confirmation

  • isActive (boolean): Example: True

  • additionalWhatsappNumbers (string[])

  • templateId (string): Example: 0as9d8as0d

  • body (string): Example: This is a test notification

  • subject (string): Example: Test Notification

  • afterTime (object[])

    • timeOffset (number)

    • unit (string)

  • beforeTime (object[])

    • timeOffset (number)

    • unit (string)

  • selectedUsers (string[])

  • deleted (boolean): Example: False

json
{
  "_id": "string",
  "receiverType": "contact",
  "additionalEmailIds": [
    "example1@email.com",
    "example2@email.com"
  ],
  "additionalPhoneNumbers": [
    "+919876744444",
    "+919876744445"
  ],
  "channel": "email",
  "notificationType": "confirmation",
  "isActive": true,
  "additionalWhatsappNumbers": [
    "+919876744444",
    "+919876744445"
  ],
  "templateId": "0as9d8as0d",
  "body": "This is a test notification",
  "subject": "Test Notification",
  "afterTime": [
    {
      "timeOffset": 1,
      "unit": "hours"
    }
  ],
  "beforeTime": [
    {
      "timeOffset": 1,
      "unit": "hours"
    }
  ],
  "selectedUsers": [
    "user1",
    "user2"
  ],
  "deleted": false
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications/YOUR_notificationId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?